%{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
#%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

Name:           ruby-openid
Version:        2.1.7
Release:        2%{?dist}
Summary:        Ruby library for verifying and serving OpenID identities

Group:          Development/Libraries

License:        ASL 2.0
URL:            http://openidenabled.com/ruby-openid/
Source0:        http://openidenabled.com/files/%{name}/packages/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  ruby ruby-devel
Requires:       ruby(abi) = 1.8
# If this package is mainly a ruby library, it should provide
# whatever people have to require in their ruby scripts to use the library
# For example, if people use this lib with "require 'foo'", it should provide
# ruby(foo)
Provides:       ruby(openid) = %{version}

%description
The Ruby OpenID library, with batteries included.

A Ruby library for verifying and serving OpenID identities. 
Ruby OpenID makes it easy to add OpenID authentication to 
your web applications.

%package doc
Group: Documentation
Summary: Documentation for ruby-openid
Requires: %{name} = %{version}-%{release}

%description doc
Documentation distributed with the ruby-openid

%prep
%setup -q


%build
ruby setup.rb config


%install
rm -rf $RPM_BUILD_ROOT
ruby setup.rb install --prefix=$RPM_BUILD_ROOT

%check
export RUBYLIB=$RPM_BUILD_ROOT%{ruby_sitelib}
# some tests need net connection
#ruby setup.rb test || :
ruby setup.rb test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE NOTICE README
# For noarch packages: ruby_sitelib
%{ruby_sitelib}/*
# For arch-specific packages: ruby_sitearch
#%{ruby_sitearch}/*

%files doc
%defattr(-,root,root,-)
%doc doc/ 


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul  7 2009 Allisson Azevedo <allisson@gmail.com> 2.1.7-1
- Update to 2.1.7

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Allisson Azevedo <allisson@gmail.com> 2.1.4-1
- Update to 2.1.4

* Tue Sep  9 2008 Allisson Azevedo <allisson@gmail.com> 2.1.2-1
- Update to 2.1.2

* Mon May 19 2008 Allisson Azevedo <allisson@gmail.com> 2.0.4-1
- Update to 2.0.4

* Sat Feb  9 2008 Allisson Azevedo <allisson@gmail.com> 2.0.3-3
- Remove examples for doc package

* Fri Feb  1 2008 Allisson Azevedo <allisson@gmail.com> 2.0.3-2
- Remove CFLAGS in build section
- Create ruby-openid-doc package for docs
- Add examples for doc package
- Remove zero-length files in doc package
- Fix file-not-utf8

* Tue Jan 29 2008 Allisson Azevedo <allisson@gmail.com> 2.0.3-1
- Initial RPM release
